package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmProjectReport;

import java.util.List;

/**
 * 项目上报Mapper接口
 * 
 * @author ruoyi
 * @date 2021-05-31
 */
public interface BmProjectReportMapper 
{
    /**
     * 查询项目上报
     * 
     * @param id 项目上报ID
     * @return 项目上报
     */
    public BmProjectReport selectBmProjectReportById(Long id);

    /**
     * 查询项目上报列表
     * 
     * @param bmProjectReport 项目上报
     * @return 项目上报集合
     */
    public List<BmProjectReport> selectBmProjectReportList(BmProjectReport bmProjectReport);

    /**
     * 新增项目上报
     * 
     * @param bmProjectReport 项目上报
     * @return 结果
     */
    public int insertBmProjectReport(BmProjectReport bmProjectReport);

    /**
     * 修改项目上报
     * 
     * @param bmProjectReport 项目上报
     * @return 结果
     */
    public int updateBmProjectReport(BmProjectReport bmProjectReport);

    /**
     * 删除项目上报
     * 
     * @param id 项目上报ID
     * @return 结果
     */
    public int deleteBmProjectReportById(Long id);

    /**
     * 批量删除项目上报
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmProjectReportByIds(Long[] ids);
}
